<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="/webjars/bootstrap/4.4.1-1/css/bootstrap.css"/>
    <link rel="stylesheet" href="/webjars/fontawesome/4.7.0/css/font-awesome.css">
    <link rel="stylesheet" href="/main.css">

    <title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">BibManager</title>
</head>
<body>
<div class="d-flex" id="wrapper">
    <div class="bg-light border-right" id="sidebar-wrapper">
        <div class="sidebar-heading">
            <a href="/" th:text="#{bibmanager}">Bib Manager</a>
        </div>
        <div class="list-group list-group-flush">
            <a href="/databases/create" class="list-group-item list-group-item-action bg-light" th:text="#{databases.create}">Datenbanken</a>
            <a href="#" class="list-group-item list-group-item-action bg-light" th:text="#{account}">Account</a>
        </div>
    </div>

    <div id="page-content-wrapper">
        <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
            <button class="btn btn-primary" id="menu-toggle" th:text="#{toogle_menu}">Toggle Menu</button>

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ml-auto mt-2 mt-lg-0">
                    <li class="nav-item">
                        <a class="nav-link" href="#" th:text="#{about}">About</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/logout" th:text="#{logout}">Logout</a>
                    </li>
                </ul>
            </div>
        </nav>

        <div class="container-fluid">
            <section layout:fragment="content">

            </section>
        </div>
    </div>
</div>
<script src="/webjars/jquery/3.4.0/jquery.js"></script>
<script src="/webjars/bootstrap/4.4.1-1/js/bootstrap.bundle.js"></script>

<!-- Menu Toggle Script -->
<script>
    $("#menu-toggle").click(function (e) {
        e.preventDefault();
        $("#wrapper").toggleClass("toggled");
    });
</script>
</body>
</html>